$(document).ready( function() {
	initIEAreaWidths();
});

// Because the CSS command of "width: auto" is not supported by IE7, we need to hide livesite areas which have no content in them
function initIEAreaWidths() {
	if ( $.browser.msie ) {
		// List of CSS selectors which need to have their width set to "auto"
		var collapsibleAreaIDs = ["#area-contentleft", 
		                        "#area-contentright"//, 
		                        /*"#col-contentmain",
		                        "#col-contentmain .ls-col-body",
		                        "#col-contentmain .ls-fxr",
		                        "#area-contentmain",
		                        "#area-contentfoot",
		                        "#area-contentmain .ls-area-body",
		                        "#area-contentfoot .ls-area-body"*/
		]

		// Go through the list, and if the area has no content, set it's width to zero
		for (index in collapsibleAreaIDs) {
			var strAreaID = collapsibleAreaIDs[index];
			var area = $(strAreaID);
	        var contents = $(area).text();
	        if (contents == null || contents == "")
	        	$(area).attr("style", "width: 0px !important;");
		}
        
	}
}

/* Generic search behaviour */
$(document).ready(function() {
	/*add indexOf method to find existing elements in an array */
	if (!Array.prototype.indexOf) {
	    Array.prototype.indexOf = function (elem, startFrom) {
	        var startFrom = startFrom || 0;
	        if (startFrom > this.length) return -1;
	 
	        for (var i = 0; i < this.length; i++) {
	            if (this[i] == elem && startFrom <= i) {
	                return i;
	            } else if (this[i] == elem && startFrom > i) {
	                return -1;
	            }
	        }
	        return -1;
	    }
	}
	/*If we ever need to trim input
	 * inputs with trailing space(s) will result in errors if input not trimmed. 
	if(!String.prototype.trim){  
		  String.prototype.trim = function(){  
		    return this.replace(/^\s+|\s+$/g,'');  
		  };  
	}*/
	/* add placeholder text to search field on page load */
	if($("#searchBox").val() == '')						  
		$("#searchBox").addClass("placeholder");
			
	/* focusout - remove placeholder */
	$("#searchBox").focusin(function() {
		$(this).removeClass("placeholder");
	});

	/* focusout - add placeholder only if field is empty */	
	$("#searchBox").focusout(function() {
		if($(this).val() == '')						  
			$(this).addClass("placeholder");
	});

	/* search button click handler */
	$("#search").submit(function() {
		/* check for empty search */
		if($("#searchBox").val() == ''){
			alert("Please enter one or more search terms and click the 'Search' button to view the results.");
			return false;
		}
		else{
			var p = $("#searchBox").val();
			document.cookie = "qu=" + p;
			if((p.indexOf("/") > -1) && (p.indexOf("\"") == -1)){
				p = "\"" + p + "\"";
			}
			var qQuery = "CIVIX_DOCUMENT_ROOT_STEM:(" + p + ")";
			$("#quickS").val(qQuery);
			var isAsp = $("#aspOrInd").val()
			if(isAsp == "aspect"){
			     var aspect = getIndexOrAspect("asp");
			     document.getElementById("search").action = "/civix/search/" + aspect[0] + "/fullsearch";
			}
			saveSearch();
			//$(this).closest("form").submit();
		}
			/*
			var path = 'http://www2.gov.bc.ca/gov/search/results.page?';
			var url = path + "config=gov&keywords=" + document.getElementById('searchBox').value;
			window.open(url,'_self',false);
			*/	
	}); 
	
	/* search box, typeahead */
	
	window.displayBoxIndex = -1;

		/*
		$(".SubmitLinkButton").click(function() {
		
			var path = 'http://www2.gov.bc.ca/gov/search/results.page?';
			var url = path + "config=gov&keywords=" + str;
			window.open(url,'_self',false);	
			
		
		}); */				
	  
				   
});

//Change form action to search at current level or search entire aspect
function searchIn(area, formId){
	var aspect = getIndexOrAspect("asp");
	var whr = document.getElementById(formId).action;
	if(aspect[1] == 'aspect'){
		if(area == 'fave'){
			document.getElementById(formId).action = "/civix/search/" + aspect[0] + "/ancestorsearch";
		}else{
			document.getElementById(formId).action = "/civix/search/" + aspect[0] + "/fullsearch";
		}
	} else{
	   if (area == 'full'){
		  document.getElementById(formId).action = "/civix/search/" + aspect[0] + "/fullsearch";
		} else {
		   document.getElementById(formId).action = "/civix/search/" + aspect[0] + "/ancestorsearch"; 
		}
	}
}
//Get ancestor (used to search in current level) from url
function getIndexOrAspect(pos){
	var path = $(location).attr('pathname');
	var isAspOrIndx = '';
	var arry = path.split("/");
	var sz = arry.length;
	if(arry.length == '5'){
	    isAspOrIndx = 'aspect';
	} else {
	   isAspOrIndx = 'index'; 
	}
	if(pos == "index"){
		var folder = arry[arry.length - 2];
	}else{
		var folder = arry[3];
	}
	return [folder, isAspOrIndx];
}
//get ids to search in
function getFaveAnc(){
	var listF = "";
	if(Modernizr.localstorage){
		listF = localStorage.getItem('favIDS');
	}else{
		var ds = document.cookie.split('; ');
		for (var i=0; i<ds.length;i++){
			var c = ds[i];
			if(c.indexOf('favIDS') != -1){
				listF = c.replace("favIDS='","");
				listF = listF.replace("'","");
				break;
			}
		}
	}
	if(listF==""){
		//alert("Your favorites is empty.");
		return false;
	}
	//var ids = localStorage.getItem('favIDS');
	var ids = "(" + listF + ")";
	return ids;
	//$("#ancestor_f").val(ids);
}
//get doc types to search in
function getTypes(myQ){
	var aspect = getIndexOrAspect("asp");
	if(aspect[0] === "bills"){
		console.log("Creating bills types");
		if($("input:checked[name*='CIVIX']").length > 0){
			// update query
			var reading = "";
			var type = "";
			$("input:checked[name='CIVIX_BILL_TYPE']").each(function(i, val){
				type += $(this).attr("name") + ":" + $(this).attr("value");
				if(i != ($("input:checked[name='CIVIX_BILL_TYPE']").length -1)){
					type += " OR ";
				}
			});
			if(type.length > 0){
				type = "(" + type + ")";
			}
			$("input:checked[name='CIVIX_BILL_READING']").each(function(i, val){
				reading += $(this).attr("name") + ":" + $(this).attr("value");
				if(i != ($("input:checked[name='CIVIX_BILL_READING']").length -1)){
					reading += " OR ";
				}
			});
			if(reading.length > 0){
				reading = "(" + reading + ")";
			}
			var billTypes = (reading.length > 0) ? reading : "";
			billTypes += (type.length > 0 && billTypes.length > 0) ? " AND " + type : type;
			myQ = billTypes + " AND " + myQ;
			}
		} else {
		var listT = "";
		var dc = document.cookie.split('; ');
		for (var i=0; i<dc.length;i++){
			var c = dc[i];
			if(c.indexOf('favTypes') != -1){
				listT = c.replace("favTypes='","");
				listT = listT.replace("'","");
				break;
			}
		}
		if(listT != ""){
			myQ = "type:(" + listT + ") AND " + myQ; 
		}
	}	

	return myQ;
}

function saveSearch(){
	document.cookie = "searchPage==" + window.location.href + "; Path=/;";
}

//Specific search behavior
$(document).ready(function() {	
	$("#fieldSearch").unbind('submit').submit(function () {
		saveSearch();
		var qu = $("#qTerms").val();
		var f = $("#fieldList").val();
		//trim not supported in ie8, will find a suitable replacement if needed
		//qu = qu.trim();
		if(qu == '' && f != 'amendment'){
			alert('Please enter query terms and field');
			return false;
		} else{
			var zone3 = $('input[name="realm_f"]:checked').val();
			searchIn(zone3, 'fieldSearch');
			// The line below ignored the fact that a phrase is a valid term search.
			//var fullQ = qu.split(" ");
			var fullQ = qu.match(/(?:[^\s"]+|"[^"]*")+/g);
			//f = f.trim();
			var qTrm = "";
			if(fullQ != null){
			for (i=1;i<=fullQ.length;i++){
				qTrm = qTrm + f + ":" + fullQ[i-1];
				if(i<fullQ.length){
					qTrm += " AND ";
				}
			}
			}else{
				qTrm = f + ":*";
			}
			document.cookie = "qu=" + f + ":" + qu + "&tabs3" + zone3;
			qTrm = getTypes(qTrm);
			$("#query_f").val(qTrm);
			$("#f_f").val(f);
			if(zone3 == "fave"){
				var fIDS = getFaveAnc();
				if(!fIDS){
					alert("Your favorites is empty.");
					return false;
				}
				$("#ancestor_f").val(fIDS);
				//$("#ancestor_f").val(ids);
			}else{
				$("#ancestor_f").val(getIndexOrAspect("index")[0]);
			}
		}
	});
	
	$("#advancedSearch").submit(function () {
		saveSearch();
		var myQuery = "";
		var myPhr = "";
		var typed = "";
		if ($("#and").val() != ""){
			var all = $("#and").val().replace(/^\s+|\s+$/gm, '');
			typed = "all:" + all;
			all = all.replace(/\s+/g, " AND ");
			if(all.indexOf("/")>-1){
				var temp = all.split(" AND ");
				for(var h=0; h<temp.length;h++){
					if(temp[h].indexOf("/") > -1 && temp[h].indexOf("\"") == -1){
						temp[h] = "\"" + temp[h] + "\"";
					}
				}
				all = temp.join(" AND ");
			}
			myQuery = all + " AND ";
		}
		if ($("#or").val() != ""){
			var any = $("#or").val().replace(/^\s+|\s+$/gm, '');
			typed = typed + ":any:" + any;
			any = any.replace(/\s+/g, " OR ");
			if(any.indexOf("/")>-1){
				var temp = any.split(" OR ");
				for(var h=0; h<temp.length;h++){
					if(temp[h].indexOf("/") != -1 && temp[h].indexOf("\"") == -1){
						temp[h] = "\"" + temp[h] + "\"";
					}
				}
				any = temp.join(" OR ");
			}
			any = "(" + any + ")";
			myQuery = myQuery + any + " AND ";
		}
		if ($("#phrase").val() != ""){
			var exact = $("#phrase").val().replace(/^\s+|\s+$/gm, '');
			typed = typed + ":exact:" + exact;
			myPhr = "\"" + exact + "\"";
			//myQuery = myQuery + exact + " AND ";
			//alert($("#phrase").val());
		}
		if ($("#prox").val() != ""){
			var near = $("#prox").val().replace(/^\s+|\s+$/gm, '');
			typed = typed + ":near:" + near;
			near =  "\"" + near + "\"" + "~10";
			myQuery = myQuery + near + " AND ";
		}
		if ($("#not").val() != ""){
			var none = $("#not").val().replace(/^\s+|\s+$/gm, '');
			typed = typed + ":not:" + none;
			none = none.replace(/\s+/g, " OR ");
			if(none.indexOf("/")>-1){
				var temp = none.split(" OR ");
				for(var h=0; h<temp.length;h++){
					if(temp[h].indexOf("/") != -1  && temp[h].indexOf("\"") == -1){
						temp[h] = "\"" + temp[h] + "\"";
					}
				}
				none = temp.join(" OR ");
			}
			none = "NOT" + "(" + none + ")";
			if (myQuery == ""){
				return false;
			}else
				myQuery = myQuery + none;
		}
		if (myQuery == '' && myPhr == ''){
			alert("Please enter one or more search terms and click the 'Search' button to view the results.");
			return false;
		}else { 
			var zone1 = $('input[name="realm_a"]:checked').val();
			searchIn(zone1, 'advancedSearch');
			var q = myQuery.substr(myQuery.length - 5);
			if (q == " AND "){
				myQuery = myQuery.substr(0, myQuery.length - 5);
			}
			var stem = $('input[name="stemming"]:checked').val();
			if( stem == "stemming"){
				if (myPhr != ''){
					if(myQuery != ''){
						myQuery = myPhr + " AND CIVIX_DOCUMENT_ROOT_STEM:(" + myQuery + ")";
					}else{
						myQuery = myPhr;
					}
				}else {
					myQuery = "CIVIX_DOCUMENT_ROOT_STEM:(" + myQuery + ")";
				}
				//myQuery = myQuery.replace("AND ", "AND CIVIX_DOCUMENT_ROOT_STEM:");
			}else{
				if (myPhr != ''){
					if(myQuery != ''){
						myQuery = myPhr + " AND " + myQuery;
					}else{
						myQuery = myPhr;
					}
				}
			}
			
			document.cookie = "qu=" + typed + "&tabs1" + zone1 + stem;
			myQuery = getTypes(myQuery);
			$("#query_a").val(myQuery);
			if(zone1 == "fave"){
				var fIDS = getFaveAnc();
				if(!fIDS){
					alert("Your favorites is empty.");
					return false;
				}
				$("#ancestor_a").val(fIDS);
				//$("#ancestor_a").val(ids);
			}else{
				$("#ancestor_a").val(getIndexOrAspect("index")[0]);
			}
		}
	});
	
	$("#booleanSearch").unbind('submit').submit(function () {
		saveSearch();
		if($("#query_b").val() == ''){
			alert('Please enter query terms');
			return false;
		}
		else{
			var zone2 = $('input[name="realm_b"]:checked').val();
			searchIn(zone2, 'booleanSearch');
			var qB = $("#query_b").val();
			document.cookie = "qu=" + qB + "&tabs2" + zone2;
			//if(qB.indexOf("\"")>-1){
				//qB = qB.replace(/\s+/g, "\\ ");
				//qB = "CIVIX_DOCUMENT_ROOT_STEM:(" + qB + ")";
			//}
			qB = getTypes(qB);
			$("#query_b").val(qB);
			if(zone2 == "fave"){
				var fIDS = getFaveAnc();
				if(!fIDS){
					alert("Your favorites is empty.");
					return false;
				}
				$("#ancestor_b").val(fIDS);
				//$("#ancestor_b").val(ids);
			}else{
				$("#ancestor_b").val(getIndexOrAspect("index")[0]);
			}	
		}
	});
	//if cancel is clicked clear forms and hide search tab
	$(".button-cancel").click(function () {
		$("#advancedSearch, #booleanSearch, #fieldSearch, #search").trigger('reset');
		//$("#tab-container").css('display','none');
	});
	//store search results page
	//$(".stat-reg-file.results a").click(function (){
		//document.cookie = "resultsPage==" + window.location.href + "; Path=/;";
	//});
	//$(".frag-results li a").click(function (){
		//document.cookie = "resultsPage==" + window.location.href + "; Path=/;";
	//});
	
});

function setChoices(c){
	if(c.indexOf("stemming") != -1)
		$('input[name="stemming"]').prop("checked", true);
	else
		$('input[name="stemming"]').prop("checked", false);
	if(c.indexOf("fave") != -1)
		$('input[value="fave"]').prop("checked", true);
	if(c.indexOf("full") != -1)
		$('input[value="full"]').prop("checked", true);
	if(c.indexOf("current") != -1)
		$('input[value="current"]').prop("checked", true);
}

$(document).ready(function () {
    var url = window.location.href;
	url = url.substring(url.indexOf("content/")+"content/".length);
	url = url.substring(0,url.indexOf("/?xsl="));

	//if aspect is not statreg, psl, complete, or lc hide both elements 
	if ((document.getElementById( 'onlyshowmeifaspectcomplete' ) != null) && 
    	(url.indexOf("statreg") == -1 && url.indexOf("psl") == -1 && url.indexOf("complete") == -1 && url.indexOf("lc") == -1))
    {
        var removeElement = document.getElementById( 'onlyshowmeifaspectcomplete' );
        removeElement.parentNode.removeChild(removeElement);
        removeElement = document.getElementById( 'tabs3-html' );
        if(removeElement!=null){
        	removeElement.parentNode.removeChild(removeElement);
        }
        removeElement = document.getElementsByClassName("input-group-doctypes");
		if(removeElement!=null){
			while(removeElement.length > 0) 
				removeElement[0].parentNode.removeChild(removeElement[0]);
		}
    }else if((document.getElementById( 'onlyshowmeifaspectcomplete' ) != null) && (url.indexOf("lc") != -1)){
		//lc aspect: restrict to only lc, lc/statreg, and lc/psl
		if(url.indexOf("lc/statreg") != -1 || url.indexOf("lc/psl") != -1){
			//Hide only the field tab
			/*var removeElement = document.getElementById( 'onlyshowmeifaspectcomplete' );
	        removeElement.parentNode.removeChild(removeElement);
	        removeElement = document.getElementById( 'tabs3-html' );
	        if(removeElement!=null){
	        	removeElement.parentNode.removeChild(removeElement);
	        }*/
		}else{
			//else hide field tab and document filter
			var removeElement = document.getElementById( 'onlyshowmeifaspectcomplete' );
	        removeElement.parentNode.removeChild(removeElement);
	        removeElement = document.getElementById( 'tabs3-html' );
	        if(removeElement!=null){
	        	removeElement.parentNode.removeChild(removeElement);
	        }
	        removeElement = document.getElementsByClassName("input-group-doctypes");
			if(removeElement!=null){
				while(removeElement.length > 0) 
					removeElement[0].parentNode.removeChild(removeElement[0]);
			}
		}

	}
    
	
	
	
	var dc =document.cookie;
	if(dc.indexOf("searchPage") == -1){
		document.cookie = 'qu=;expires=Thu, 01 Jan 1970 00:00:01 GMT;';
		//document.cookie = 'favTypes=;expires=Thu, 01 Jan 1970 00:00:01 GMT;';
	}
	dc = document.cookie.split('; ');
	for (var i=0; i<dc.length;i++){
		var c = dc[i];
		if(c.indexOf('qu=') != -1){
			if(c.indexOf("&tabs") == -1){
				//quick search
				var qu = c.split("=");
				$("#searchBox").focus();
				$("#searchBox").val(qu[1]);
			} else if(c.indexOf("&tabs1") != -1){
				//advanced
				window.location.hash = "#tabs1-html";
				document.getElementById( 'tab-container' ).style.display='block';
				setChoices(c.substring(c.indexOf("&tabs")));
				//c = c.replace("&tabs1", "");
				c = c.substring(0,c.indexOf("&tabs"));
				var qu = c.split("=");
				var par = qu[1].split(":");
				if(par.indexOf("all") != -1){
					$("#and").val(par[par.indexOf("all")+1]);
				}
				if(par.indexOf("any") != -1){
					$("#or").val(par[par.indexOf("any")+1]);
				}
				if(par.indexOf("exact") != -1){
					$("#phrase").val(par[par.indexOf("exact")+1]);
				}
				if(par.indexOf("near") != -1){
					$("#prox").val(par[par.indexOf("near")+1]);
				}
				if(par.indexOf("not") != -1){
					$("#not").val(par[par.indexOf("not")+1]);
				}
					
			} else if(c.indexOf("&tabs2") != -1){
				//bool
				window.location.hash = "#tabs2-html";
				document.getElementById( 'tab-container' ).style.display='block';
				setChoices(c.substring(c.indexOf("&tabs")));
				c = c.substring(0,c.indexOf("&tabs"));
				//c = c.replace("&tabs2", "");
				var qu = c.split("=");
				$("#query_b").focus();
				$("#query_b").val(qu[1]);
			} else if(c.indexOf("&tabs3") != -1){
				//field
				window.location.hash = "#tabs3-html";
				document.getElementById( 'tab-container' ).style.display='block';
				setChoices(c.substring(c.indexOf("&tabs")));
				c = c.substring(0,c.indexOf("&tabs"));
				//c = c.replace("&tabs3", "");
				var qu = c.split("=");
				var term = qu[1].split(":");
				//$("fieldList").val(term[0]);
				$('select[id="fieldList"]').find('option[value="' + term[0] + '"]').attr("selected",true);
				$("#qTerms").focus();
				$("#qTerms").val(term[1]);
			}
			document.cookie = 'qu=;expires=Thu, 01 Jan 1970 00:00:01 GMT;';
			document.cookie = 'searchPage==; Path=/;expires=Thu, 01 Jan 1970 00:00:01 GMT;';
			document.cookie = 'resultsPage==; Path=/;expires=Thu, 01 Jan 1970 00:00:01 GMT;';
		}
		else if(c.indexOf('favTypes=') != -1){
			var f = "";
			f = c.replace("favTypes='","");
			f = f.replace("'", "");
			if (f != ""){
				//document.getElementById( 'tab-container' ).style.display='block';
				$("input[name='docTypes']").prop("checked", false);
				var ty = f.split(" OR ");
				for(var j=0; j<ty.length; j++){
					$("input[value=" + ty[j] + "]").prop("checked", true);
				}
			}
			//document.cookie = 'favTypes=;expires=Thu, 01 Jan 1970 00:00:01 GMT;';	
		}
	}
	$(".return-search-btn").click(function(e) {
		e.preventDefault();
		var cookies = document.cookie.split("; ");
		var url = "";
		for (var i=0; i<cookies.length;i++){
			var cookie = cookies[i];
			if(cookie.indexOf('searchPage==') != -1){
				var res = cookie.split("==");
				url = res[1];
				break;
			}
		}
		window.location = url;
	});
	//$(".button-resubmit").click(function(e) {
		//e.preventDefault();
	$("#refineSearch").submit(function(){
		var q = $('#refine').val();
		if(q == ""){
			return false;
		}
		//q = q.replace(/\s+/g, "+OR+");
		var url = $(location).attr('href')
		var query = $(location).attr('search').substring(1);
		var str = query.split('&');
		for(var i=0; i<str.length; i++){
			var param = str[i];
			if(param.indexOf('q=') != -1){
				str[i] = param + "+AND+%28" + q + "%29";
				break;
			}
		}
		//str[i] = str[i] + "+AND+" + q;
		// IE kludge, replace(&not=, ...) IE errors out on &not in window.location
		query = str.join('&').replace("&not=", "%26not=");
		url = url.substring(0, url.indexOf("?"));
		url = url + "?" + query;
		window.location = url;
		return false;
	});
});

function sortResults(){
	var s = $("#sort").val();
	/*if(s == ""){
		return false;
	}*/
	var url = $(location).attr('href');
	if(url.indexOf("&sb=") == -1){
		url = url + "&sb=" + s;
	}else{
		var query = $(location).attr('search').substring(1);
		var str = query.split('&');
		for(var i=0; i<str.length; i++){
			var param = str[i];
			if(param.indexOf('sb=') != -1){
				str[i] = "sb=" + s;
				break;
			}
		}
		query = str.join('&');
		url = url.substring(0, url.indexOf("?"));
		url = url + "?" + query;
	}
	window.location = url;
	//$("#sort").val(s);
	return false;
}
/*$(document).ready(function() {
	var query = $(location).attr('search').substring(1);
	var str = query.split('&');
	for(var i=0; i<str.length; i++){
		var param = str[i];
		if(param.indexOf('sb=') != -1){
			$("#sort").val(param.substring(3));
		}
	}
	
});*/

function ss_keyhandle(e) {

	var code = (e.keyCode ? e.keyCode : e.which);
	var str = document.getElementById('searchBox').value;

	if(code == 40){ 
			Navigate(1); 
			return false;
	}else if (code == 38){
			Navigate(-1);
			return false;
	}else if (code == 13){   // "enter".
			var path = 'http://www2.gov.bc.ca/gov/search/results.page?';
			if($('.kl_item_selected').length == 0){
				var url = path + "config=gov&keywords=" + str;
				window.open(url,'_self',false);						
			}else{
				var str = $('.kl_item_selected').find('a.a_item').attr('href');
				var url = str;
				window.open(url,'_self',false);		
			}
			
			return false;
	}else if (code == 27){   // "escape".
			$('#typeAhead').css('display','none');
			return false;
	}else if (code == 37){   // "key left"
			return false;
	}else if (code == 39){   // "key right"
			return false;
	}else{				
			//console.log(str);
			var value = null;
			if(str != ''){
				setTimeout(function(){
					value = callJsonSS(str);
			}, 500);
			}else{
				$('#typeAhead').css('display','none');
			}
			return false;
	}
}

function Navigate(diff) {
	displayBoxIndex += diff;
	var oBoxCollection = $(".kl_item")
	if (displayBoxIndex >= oBoxCollection.length)
		 displayBoxIndex = 0;
	if (displayBoxIndex < 0)
		 displayBoxIndex = oBoxCollection.length - 1;
	var cssClass = "kl_item_selected";
	oBoxCollection.removeClass(cssClass).eq(displayBoxIndex).addClass(cssClass);
	displayBoxIndex = displayBoxIndex;	
}

/* call json */
function callJsonSS(query){	
	var path = 'http://www2.gov.bc.ca/gov/search/results.page?';
	$('#typeAhead').hide();
	$('#keyword_list').html('');

	query = query.toLowerCase();
	query = query.replace(/ /g, "%20").replace(/-/g, "%2d"); //replace white space to '%20', replace '-' to '%2d'
	
	query = "http://search.gov.bc.ca/suggest?q=" + query + "&client=default_frontend&site=default_collection&keymatch=yes&access=p&format=rich";	
	query = 'http://query.yahooapis.com/v1/public/yql?q=' + encodeURIComponent('select * from json where url="' + query + '"') + '&format=json&callback=?';
	
	$.getJSON(query,function (json) {

		//var path = window.location.pathname.split( '?' );
		$('ul#keyword_list').html('');
		var list = ""; 
		if(json.query.results.json.results){
			if(json.query.results.json.results.name != null){
				var nameVal = json.query.results.json.results.name; 
				list += "<li class='kl_item'><a class='a_item' href='" + path + "config=gov&keywords=" + nameVal + "'>" + nameVal + "</a></li>"
				$('#keyword_list').append(list);
				$('#typeAhead').show().css('border', '1px solid #aaa').css('background-color','white');
			}else{

				$.each(json.query.results.json.results, function() {
					var nameVal = this.name;
					var altTag = this.name;
					var len = nameVal.length;											 
					if(len >= 35){
						nameVal = nameVal.substring(0, 35) + "...";
					}
					list += "<li class='kl_item'><a class='a_item' href='" + path + "config=gov&keywords=" + nameVal + "' alt='" + altTag + "' title='" + altTag+ "'>" + nameVal + "</a></li>";
			
				});
				list += "<li class='kl_close'><span id='closeLi' onclick='closeLi()'><a>close</a></span></li>";
				$('#keyword_list').append(list);
				$('#typeAhead').show().css('border', '1px solid #aaa').css('background-color','white');
			}
		}
	});
}

function closeLi(){
	$('ul#keyword_list').html('');
	$('#typeAhead').hide();
	
}

/* Replace rel="external" with target="_blank" for for external links 
$(document).ready(function () {
	$('a[rel="external"]').each(function(i) {
	    $(this).attr('target', '_blank');
    });
});
*/

/* Temporary workaround to attach stylesheet dynamically */
/* Removed as it is hard coded in head. 5/9/2014 ~chris.ditcher */
//$(document).ready(function() {
//	$("<link>")
//	  .appendTo($('head'))
//	  .attr({type : 'text/css', rel : 'stylesheet'})
//	  .attr('href', '/assets/gov/css/print.css');
//});

/* CS - custom style workarounds for specific pages */
$(document).ready(function() {
	
	/* hide Families & Residents > Seniors page heading http://www2.gov.bc.ca/gov/theme.page?id=E2F17E8BD56D50D8D4BAA2892C68960F */	
	if(window.location.href.indexOf("id=E2F17E8BD56D50D8D4BAA2892C68960F") != -1)				   
		$("#theme_body h1.heading").remove();		
	
	/* hide Government > Open Government > UX Toolbox page heading http://www2.gov.bc.ca/gov/topic.page?id=157D6555F8744850A439544F41727402 */
	if(window.location.href.indexOf("id=157D6555F8744850A439544F41727402") != -1)					   
		$(".topic_body h1.heading").remove();

	// Hide topics from navigation in PROD only
	if(window.location.href.indexOf("www2.gov.bc.ca/gov/") != -1) {

		if($('.subtheme_navigation .subthemes menu li.current a').length) {
			// 2012-10-01
			// hide Families & Residents > Taxes & Rebates > Audits nav item
			// hide Families & Residents > Taxes & Rebates > Appeals nav item
			if($('.subtheme_navigation .subthemes menu li.current a').attr('href').indexOf('4DE87E7EE0859251309F8142B9BD4824') != -1) {
				$(".subtheme_navigation .topics menu li").eq(3).hide();	
				$(".subtheme_navigation .topics menu li").eq(4).hide();	
			}	
			// 2013-04-04 - CS
			// hide Education > Administration > Legislation & Policy nav item
			//if($('.subtheme_navigation .subthemes menu li.current a').attr('href').indexOf('80B26AE3A0ED92412A3341AD77C50C9F') != -1) {
			//	$(".subtheme_navigation .topics menu li").eq(3).hide();	
			//}	
			// 2013-04-04 - CS
			// hide Government > Open Government > Strategic Partnerships nav item
			if($('.subtheme_navigation .subthemes menu li.current a').attr('href').indexOf('12784E4B87551818643212879D592866') != -1) {
				$(".subtheme_navigation .topics menu li").eq(3).hide();	
			}
		}
	}
});


